Bug 104610 - Menu: Show more formatting marks even when CTL is off
Summary: Menu: Show more formatting marks even when CTL is off
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks: Main-Menu Formatting-Mark
  Show dependency treegraph
 
Reported: 2016-12-12 17:06 UTC by Mike Kaganski
Modified: 2017-04-23 22:40 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2016-12-12 17:06:44 UTC
Currently, the following Insert->Formatting Mark menu items are hidden unless tools -> Options... -> Language settings -> languages -> CTL is enabled:
* No-width optional break
* No-width no break
* Left-to-right mark
* Right-to-left mark

While two last of them may be really unnecessary without CTL enabled, No-width optional break and No-width no break may be useful anyway. E.g., this help page makes use of the latter: https://help.libreoffice.org/Writer/Preventing_Hyphenation_of_Specific_Words

The suggestion is to always show at least two mentioned formatting marks, regardless of CTL setting.
Comment 1 Heiko Tietze 2016-12-16 07:25:27 UTC Comment hidden (no-value)
Comment 2 Cor Nouws 2016-12-16 12:57:47 UTC
Hi Mike,

It took me some looking to understand the use of the marks
 * No-width optional break
 * No-width no break
in comparison with the ones I regularly use.

I agree with your suggestion.
Comment 3 Dieter Praas 2017-04-20 13:05:05 UTC
Mike: I also agree with your suggestion. Changed component to UI, because it is also a Calc, Impress and Draw issue.
Comment 4 Yousuf Philips (jay) (retired) 2017-04-21 21:28:23 UTC
@Khaled: Another if CTL enabled issues. I've submitted a patch to gerrit to solve this and it works fine, can you review it. :D

https://gerrit.libreoffice.org/36807
Comment 5 Commit Notification 2017-04-23 11:32:00 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f586c7ec352b3b7b23dba0e1e774d85b1c14e2b7

tdf#104610 Always enabled no-width break formatting marks

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.